# eric4.QScintilla.Lexers.LexerPOV

Module implementing a Povray lexer with some additional methods.

### Global Attributes

None

### Classes

LexerPOV | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPOV

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPOV, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerPOV | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerPOV (Constructor)

LexerPOV(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerPOV.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerPOV.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerPOV.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerPOV.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up